cURL
curl --request PATCH \
--url https://api.mudstack.com/workspaces/tags/{tag_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"name": "<string>",
"color": "<string>"
}
'import requests
url = "https://api.mudstack.com/workspaces/tags/{tag_id}"
payload = {
"name": "<string>",
"color": "<string>"
}
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', color: '<string>'})
};
fetch('https://api.mudstack.com/workspaces/tags/{tag_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"color": "<string>",
"created_by_user_id": "<string>",
"sequence": 123
}Tags
Update tag
Update a specific tag for the specified workspace.
PATCH
/
workspaces
/
tags
/
{tag_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
The updated workspace tag.
Unique identifier for the workspace tag.
Identifier of the workspace to which the tag belongs.
Name of the workspace tag.
Color associated with the workspace tag.
Identifier of the user who created the tag.
Sequence number for ordering tags.
Was this page helpful?
⌘I